package me.hammerle.snuviengine.util;

public enum Face
{
    LEFT(-1, 0), 
    RIGHT(1, 0), 
    UP(0, -1), 
    DOWN(0, 1);
    
    private final int offsetX;
    private final int offsetY;
    
    Face(int offsetX, int offsetY)
    {
        this.offsetX = offsetX;
        this.offsetY = offsetY;
    }

    public int getOffsetX()
    {
        return offsetX;
    }

    public int getOffsetY()
    {
        return offsetY;
    }
}
